Subject: Re: terminology

From: "Anuj Bhatnagar" <[email-masked]>
Date: Thu, 3 May 2001 16:18:48 -0400

If what you are saying is true then what is a Traffic Trunk?

Regards,
Anuj

David Charlap <[email-masked]> on 05/03/2001 03:52:12 PM

To:   "[email-masked]'" <[email-masked]>
cc:    (bcc: Anuj Bhatnagar/Telcordia)
Subject:  Re: terminology

"Gross, Gerhard" wrote:
>
> The definitions "LSP tunnel" in the docs seem to be somewhat
> misleading. For example, section 3.27.3 of RFC 3031 states:
>
>     "It is possible to implement a tunnel as a LSP, and use label
>     switching rather than network layer encapsulation to cause the
>     packet to travel through the tunnel. ...
>     This is called a "LSP Tunnel."
>
> This is standard MPLS as far as I tell.
> Why rename it?

The definition of "tunnel" seems to be different in different documents.

In RSVP-TE, a tunnel is a collection of one or more LSPs that are all
signaled with the same SESSION object.  (Session being defined as the
triplet egress-address, tunnel-ID, and extended-tunnel-ID.)  If extended
tunnel ID is zero, these LSPs may originate from different ingress
routers.  The distinction is important because all LSPs in a single
tunnel will share resources where possible, when an SE-style reservation
is used.

Colloquially, this is the definition I usually use.  I usually say
"tunnel" when I mean a collection of LSPs that share a common
destination.  If I mean a single LSP, I just say "LSP".

But this is not RFC 3031's definition.  RFC 3031 defines a "tunneled
packet" as any packet that is forwarded to a not-directly-attached
router.  A tunnel is defined as any means for making this work.

It then goes on to define three kinds of tunnels, the first two don't
necessarily involve MPLS.

The first is a hop-by-hop routed tunnel.  The data is encapsulated in a
network-layer header that gets it to the next-hop router.  One possible
non-MPLS example of this might be an IP-in-IP tunnel.

The second is an explicitly-routed tunnel.  The data is encapsulated in
a network-layer header that is explicitly routed to the next-hop
router.  One possible non-MPLS example of this might be an ATM PVC.

The third is the LSP tunnel.  The data is labeled and forwarded using
MPLS.

If my understanding is incorrect, hopefully one of the RFC authors will
be able to correct me.

-- David

---

From: "Loa Andersson" <[email-masked]>
Date: Thu, 03 May 2001 22:47:42 +0200

All,

I agree with David on the use of LSP. I tend to use MPLS tunnel
in contexts where I have a label stack of more than one label,
but ain't religious about it. Alternatively (and including the
first useage) I may use MPLS tunnel for an LSP that I can use
to send labeled or un-labeled packet over (through?) to reach
a certain point in the network and that do not require that I do
a hop-by-hop setup to reach this point.
Traffic Trunk I would prefer to use for something that has a
specific structure (could very well be an MPLS tunnel = LSP).

/Loa

-- 
Loa Andersson
Chief Architect,
Utfors Research, Architecture and Future Lab (URAX)
Utfors AB
Råsundavägen 12
Box 525, 169 29 Solna
Office          +46 8 5270 2000
Office direct   +46 8 5270 5038
Mobile          +46 70 848 5038
Email           [email-masked]
WWW             www.utfors.se